var glob = require("glob");
const path = require("path");
var fs = require('fs');

const svgData = {};

// options is optional
glob("src/icons/raw_svgs/*.svg", function (er, files) {
    // files is an array of filenames.
    // If the `nonull` option is set, and nothing
    // was found, then files is ["**/*.js"]
    // er is an error object or null.

    for (var file of files) {

        var data = fs.readFileSync(file, 'utf8');
        //clean off xml and title
        data = data.replace(/<\?xml .*\?>/, '');
        data = data.replace(/<desc>.*<\/desc>/, "");
        data = data.replace(/<title>.*<\/title>/, "");
        data = data.replace(/<defs>.*<\/defs>/, "");
        //strip line endings and comments
        data = data.replace(/(\r\n\t|\n|\r\t)/gm, "");
        data = data.replace(/<!--[\s\S]*?-->/g, "");
        let filename = path.basename(file, '.svg');
        svgData[filename] = data;

    }
    //add on export
    fs.writeFileSync('./dist/icons/icons.js', "export const icons = ");
    //write it out
    fs.appendFileSync('./dist/icons/icons.js', JSON.stringify(svgData, null, '  '));
});

